Removing automagic dependency on media-libs/quesoglc

http://bugs.gentoo.org/313837

--- a/configure.in
+++ b/configure.in
@@ -200,7 +200,10 @@
 
 AM_CONDITIONAL(INSTALL_KDE_CONFIG_FILES, test "$INSTALL_KDE_CONFIG_FILES" = "yes")
 
-PKG_CHECK_MODULES(quesoglc, quesoglc >= 0.7, AC_DEFINE([HAVE_GLC], , [QuesoGLC is available for use.]), AC_DEFINE([MISSING_GLC], , [QuesoGLC not available.]))
+AC_ARG_WITH([quesoglc], AS_HELP_STRING([--with-quesoglc], [Build with QuusoGLC library (default: disabled)]))
+if test "x$with_quesoglc" = "xyes"; then
+	PKG_CHECK_MODULES(quesoglc, quesoglc >= 0.7, AC_DEFINE([HAVE_GLC], , [QuesoGLC is available for use.]), AC_DEFINE([MISSING_GLC], , [QuesoGLC not available.]))
+fi
 
 AC_OUTPUT([
 	Makefile
